System.Web 2.0.0.0 System.Collections.ReadOnlyCollectionBase

Web Parts verbs are interactive user interface (UI) elements that are displayed in a menu or title bar of a Web Parts control. A Web Parts zone provides to a Web Parts control a standard set of verbs that are rendered in the Web Parts verb menu. A custom Web Parts zone or a Web Parts control can add additional verbs to this menu.

ASP.NET provides several standard verbs by default to all controls in a Web Parts zone, including the close and minimize verbs. There are standard verbs for opening, closing, editing, and minimizing a control, and other verbs for exporting a definition for the control or loading a Help file.

You can create new verbs that are added to the Web Parts verb menu. A control can inherit from the base class and add objects to a collection. This collection can then be added to the collection of the control.

A control can also implement the interface and override the property. You can then use a collection to add custom verbs to a control.

This class implements , which provides a non-generic, read-only collection.

Represents a collection of custom Web Parts verbs. This class cannot be inherited.

- Constructor

  This constructor creates an empty object. To create a new instance of using an existing collection of Web Parts verbs, you can use .

  Initializes a new instance of the class.

  2.0.0.0
- Constructor

  This constructor creates an instance of using the specified verbs collection. This collection can be any object derived from that contains a set of Web Parts verbs.

  Initializes a new instance of the class using the specified collection.

  An object derived from that contains a set of Web Parts verbs.
  2.0.0.0
- Constructor

  This constructor can be used to combine two Web Parts verb collections.

  Initializes a new instance of the class using the specified collections.

  An existing .
  An object derived from that contains a set of Web Parts verbs.
  2.0.0.0
- Method
  System.Boolean ``

  For more information on using this method, see its base method, .

  Searches the Web Parts verb collection for the specified object.

  true if the collection contains the Web Parts verb; otherwise, false.

  The to be found. 2.0.0.0
- Method
  System.Void `` ``

  For more information on using this method, see .

  Copies elements of the collection to the specified array, starting at the specified index.

  The array that elements are to be copied to. The index where copying should begin. 2.0.0.0
- Field
  System.Web.UI.WebControls.WebParts.WebPartVerbCollection

  A static, read-only, empty instance of reduces memory usage in cases where you want an empty collection instance to return the proper object type from a method or to compare the instance with another object, but you do not need to add members to the instance.

  Specifies an empty collection that you can use instead of creating a new one. This static field is read-only.

  2.0.0.0
- Method
  System.Int32 ``

  For more information on using this method, see .

  Searches for the specified Web Parts verb and returns the zero-based index of the first occurrence within the entire collection.

  The index of the Web Parts verb.

  The to be located. 2.0.0.0
- Property
  System.Web.UI.WebControls.WebParts.WebPartVerb `` To be added. To be added. To be added. To be added. 2.0.0.0